Package com.arms.api.util.filerepository.service

## Class FileRepositoryImpl

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl
  - - com.arms.api.util.filerepository.service.FileRepositoryImpl

- All Implemented Interfaces:
    `FileRepository`, `TreeService`

      @Service("fileRepository")
      public class FileRepositoryImpl
      extends TreeServiceImpl
      implements FileRepository

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileRepositoryImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.HashMap<java.lang.String,​java.util.Set<FileRepositoryEntity>>` | `getFileSetByFileIdLink​(ParameterParser parser)` |
    `java.util.HashMap<java.lang.String,​java.util.Set<FileRepositoryEntity>>` | `getFileSetByFileIdLinkWithGlobalContentsMap​(ParameterParser parser)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl

      `addNode, alterNode, alterNodeType, calculatePosition, cutMyself, enterMyselfFixLeftRight, enterMyselfFromTree, fixPositionParentIdOfCopyNodes, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, newInstance, overwriteNode, pasteMyselfFromTree, removeNode, saveOrUpdateList, searchNode, stretchLeft, stretchLeftRightForMyselfFromTree, stretchPositionForMyselfFromTree, stretchRight, updateField, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Constructor Detail

    - #### FileRepositoryImpl

          public FileRepositoryImpl()

  - ### Method Detail

    - #### getFileSetByFileIdLink

          @Transactional
          public java.util.HashMap<java.lang.String,​java.util.Set<FileRepositoryEntity>> getFileSetByFileIdLink​(ParameterParser parser)
                                                                                                               throws java.lang.Exception

      Specified by:
        `getFileSetByFileIdLink` in interface `FileRepository`
      Throws:
        `java.lang.Exception`

    - #### getFileSetByFileIdLinkWithGlobalContentsMap

          public java.util.HashMap<java.lang.String,​java.util.Set<FileRepositoryEntity>> getFileSetByFileIdLinkWithGlobalContentsMap​(ParameterParser parser)
                                                                                                                                    throws java.lang.Exception

      Specified by:
        `getFileSetByFileIdLinkWithGlobalContentsMap` in interface `FileRepository`
      Throws:
        `java.lang.Exception`